[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStream.WriteDescendentRes

Write resource header and component data to a stream, relative to an ancestor

## Declaration

Source position: classesh.inc line 857

`public procedure TStream.WriteDescendentRes(`
`const ResName: string;`
`Instance: TComponent;`
`Ancestor: TComponent`
`);`

## Description

WriteDescendentRes writes a ResName resource header, and then calls WriteDescendent to write the state of Instance to the stream where it differs from Ancestor, i.e. only the changed properties are written to the stream.

This method is intened for use by an IDE that can use it to store forms or datamodules as designed in a Windows resource stream.

Documentation generated on: Feb 26 2014